Freeciv-3.1: savedata Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
savedata Struct Reference

## Data Fields

struct section_file * | file
char | secfile_options [512]
const char * | save_reason
bool | scenario
bool | save_players

## Detailed Description

Definition at line 258 of file savegame3.c.

## Field Documentation

## ◆ file

struct section_file* savedata::file

Definition at line 259 of file savegame3.c.

Referenced by savedata_new(), savegame3_save_real(), sg_save_event_cache(), sg_save_game(), sg_save_history(), sg_save_map(), sg_save_map_known(), sg_save_map_owner(), sg_save_map_startpos(), sg_save_map_tiles(), sg_save_map_tiles_extras(), sg_save_map_worked(), sg_save_mapimg(), sg_save_player_attributes(), sg_save_player_cities(), sg_save_player_main(), sg_save_player_units(), sg_save_player_vision(), sg_save_players(), sg_save_random(), sg_save_researches(), sg_save_ruledata(), sg_save_savefile(), sg_save_savefile_options(), sg_save_scenario(), sg_save_script(), sg_save_settings(), sg_save_treaties(), worklist_load(), and worklist_save().

## ◆ save_players

bool savedata::save_players

Definition at line 267 of file savegame3.c.

Referenced by savedata_new(), sg_save_game(), sg_save_map_known(), sg_save_map_owner(), sg_save_map_worked(), sg_save_players(), and sg_save_researches().

## ◆ save_reason

const char* savedata::save_reason

Definition at line 263 of file savegame3.c.

Referenced by savedata_new(), savegame3_save_real(), and sg_save_savefile().

## ◆ scenario

bool savedata::scenario

Definition at line 264 of file savegame3.c.

Referenced by savedata_new(), savegame3_save_real(), sg_save_event_cache(), sg_save_game(), sg_save_map(), sg_save_map_owner(), sg_save_map_worked(), sg_save_players(), sg_save_random(), sg_save_scenario(), and sg_save_settings().

## ◆ secfile_options

char savedata::secfile_options[512]

Definition at line 260 of file savegame3.c.

Referenced by savedata_new(), and sg_save_savefile_options().